diff -rup openpcd_orig/firmware/src/simtrace/main_simtrace.c openpcd/firmware/src/simtrace/main_simtrace.c
--- openpcd_orig/firmware/src/simtrace/main_simtrace.c	2011-11-12 14:49:42.000000000 +0100
+++ openpcd/firmware/src/simtrace/main_simtrace.c	2011-11-12 15:09:37.000000000 +0100
@@ -64,9 +64,20 @@ static void simtrace_set_mode(enum simtr
 
 		/* switch VCC_SIM pin into output mode, as in the first
 		 * generation prototype we use it directly to supply Vcc
-		 * to the SIM */
+		 * to the SIM
+     */
+    /* pin unused in v1.0(p) */
 		AT91F_PIO_CfgOutput(AT91C_BASE_PIOA, SIMTRACE_PIO_VCC_SIM);
 		AT91F_PIO_SetOutput(AT91C_BASE_PIOA, SIMTRACE_PIO_VCC_SIM);
+    /* for v1.0(p), VCC_SIM can either be powered by VCC_PHONE
+     * using SIM_PWRFWD, or by the LDO using SIM_PWREN.
+     * they should be set exclusive.
+     * per default use VCC_PHONE
+     */
+		AT91F_PIO_CfgOutput(AT91C_BASE_PIOA, SIMTRACE_PIO_SIM_PWRFWD);
+		AT91F_PIO_SetOutput(AT91C_BASE_PIOA, SIMTRACE_PIO_SIM_PWRFWD);
+		AT91F_PIO_CfgOutput(AT91C_BASE_PIOA, SIMTRACE_PIO_SIM_PWREN);
+		AT91F_PIO_ClearOutput(AT91C_BASE_PIOA, SIMTRACE_PIO_SIM_PWREN);
 
 		/* switch UART0 pins to 'ISO7816 card mode' */
 		AT91F_PIO_CfgInput(AT91C_BASE_PIOA, UART0_PINS);
diff -rup openpcd_orig/firmware/src/simtrace.h openpcd/firmware/src/simtrace.h
--- openpcd_orig/firmware/src/simtrace.h	2011-11-12 14:49:42.000000000 +0100
+++ openpcd/firmware/src/simtrace.h	2011-11-12 15:08:59.000000000 +0100
@@ -30,8 +30,17 @@
 #define SIMTRACE_PIO_SC_SW	AT91C_PIO_PA20
 #define SIMTRACE_PIO_IO_SW	AT91C_PIO_PA19
 
+/* to set power for VCC_SIM for early prototype
+ * unused pin in v1.0p
+ */
 #define SIMTRACE_PIO_VCC_SIM	AT91C_PIO_PA5
-#define SIMTRACE_PIO_VCC_PHONE	AT91C_PIO_PA30
+
+/* to set power source for VCC_SIM for v1.0(p) */
+#define SIMTRACE_PIO_SIM_PWREN	AT91C_PIO_PA5
+#define SIMTRACE_PIO_SIM_PWRFWD	AT91C_PIO_PA26
+
+/* VCC_PHONE detection */
+#define SIMTRACE_PIO_VCC_PHONE	AT91C_PIO_PA25
 
 /* SPI flash */
 #define PIO_SPIF_nWP	AT91C_PIO_PA15
